<style lang="less" src="./style/main.less"></style>
<template><!-- eslint-disable vue/html-indent -->
<div class="approot">
    <teleport to="head"><AppHead/></teleport>
    <router-view />
</div>
</template>

<script lang="ts">
import {Vue, Options} from '@/vue';
import AppHead from './AppHead.vue';
@Options<App>({
    components: {
        AppHead,
    },
}) export default class App extends Vue {}
</script>

<style lang="less">
.approot {
    background: whitesmoke none no-repeat 50% 50%;
    // background-image: url(@/img/back.png);
    background-size: cover;
    min-height: 100vh;

    &.blueprint {
        background-color: rgb(40, 120, 200);
        background-image: linear-gradient(rgba(255,255,255,0.2) 2px, transparent 2px),
            linear-gradient(90deg, rgba(255,255,255,0.2) 2px, transparent 1px),
            linear-gradient(rgba(255,255,255,0.1) 1px, transparent 1px),
            linear-gradient(90deg, rgba(255,255,255,.1) 1px, transparent 1px);
        background-size: 100px 100px, 100px 100px, 20px 20px, 20px 20px;
        background-position: 50% -1px;
        background-repeat: repeat;
    }
}
</style>